package com.ruoyi.business.service.impl;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.TOngoodsshelfBakMapper;
import com.ruoyi.business.domain.TOngoodsshelfBak;
import com.ruoyi.business.service.ITOngoodsshelfBakService;
import com.ruoyi.common.core.text.Convert;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author wms
 * @date 2022-06-21
 */
@Service
public class TOngoodsshelfBakServiceImpl extends ServiceImpl<TOngoodsshelfBakMapper, TOngoodsshelfBak> implements ITOngoodsshelfBakService
{
    @Autowired
    private TOngoodsshelfBakMapper tOngoodsshelfBakMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param lotId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TOngoodsshelfBak selectTOngoodsshelfBakByLotId(String lotId)
    {
        return tOngoodsshelfBakMapper.selectTOngoodsshelfBakByLotId(lotId);
    }

    /**
     * 条件查询
     *
     * @param startDate 开始时间
     * @param endDate 结束时间
     * @return 入库任务列表
     */
    @Override
    public List<TOngoodsshelfBak> selectTOngoodsshelfBakByCreateDate(String startDate, String endDate, String tasktype, String search)
    {
        return tOngoodsshelfBakMapper.selectTOngoodsshelfBakByCreateDate(startDate, endDate, tasktype, search);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tOngoodsshelfBak 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TOngoodsshelfBak> selectTOngoodsshelfBakList(TOngoodsshelfBak tOngoodsshelfBak)
    {
        return tOngoodsshelfBakMapper.selectTOngoodsshelfBakList(tOngoodsshelfBak);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tOngoodsshelfBak 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TOngoodsshelfBak> selectTOngoodsshelfBakEmpty(TOngoodsshelfBak tOngoodsshelfBak)
    {
        return tOngoodsshelfBakMapper.selectTOngoodsshelfBakEmpty(tOngoodsshelfBak);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tOngoodsshelfBak 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TOngoodsshelfBak> selectTOngoodsshelfBakWithoutEmpty(TOngoodsshelfBak tOngoodsshelfBak)
    {
        return tOngoodsshelfBakMapper.selectTOngoodsshelfBakWithoutEmpty(tOngoodsshelfBak);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tOngoodsshelfBak 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTOngoodsshelfBak(TOngoodsshelfBak tOngoodsshelfBak)
    {
        return tOngoodsshelfBakMapper.insertTOngoodsshelfBak(tOngoodsshelfBak);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tOngoodsshelfBak 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTOngoodsshelfBak(TOngoodsshelfBak tOngoodsshelfBak)
    {
        return tOngoodsshelfBakMapper.updateTOngoodsshelfBak(tOngoodsshelfBak);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param lotIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTOngoodsshelfBakByLotIds(String lotIds)
    {
        return tOngoodsshelfBakMapper.deleteTOngoodsshelfBakByLotIds(Convert.toStrArray(lotIds));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param lotId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTOngoodsshelfBakByLotId(String lotId)
    {
        return tOngoodsshelfBakMapper.deleteTOngoodsshelfBakByLotId(lotId);
    }
}
